Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354150 - Missing "disks_vm_map" table in oVirt 4 DWH
Summary: Missing "disks_vm_map" table in oVirt 4 DWH
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dwh
Classification: oVirt
Component: ETL
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: ovirt-4.0.2
: 4.0.2
Assignee: Shirly Radco
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: 1360313
TreeView+ depends on / blocked
 
Reported: 2016-07-10 05:52 UTC by Oved Ourfali
Modified: 2016-08-12 14:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:29:46 UTC
oVirt Team: Metrics
rule-engine: ovirt-4.0.z+
rule-engine: blocker+
rule-engine: planning_ack+
sradco: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60434 ovirt-engine-dwh-4.0 MERGED history: added disks_vm_map view 2016-07-24 08:41:36 UTC

Description Oved Ourfali 2016-07-10 05:52:11 UTC
Description of problem:
This table was removed in oVirt 4 DWH, and it breaks the manageIQ integration.

Additional info:
While we know working with tables is not a good practice, this is something that is already out there.
We should aim to remove that in next versions, but we need this table so that existing versions will be able to work with oVirt 4.

Comment 1 Lukas Svaty 2016-07-29 08:42:59 UTC
re-added as view:
 public | disks_vm_map           | view | ovirt_engine_history

tested in ovirt-engine-dwh-4.0.2-1.el7ev.noarch

Can you please check if this should indeed be as view, and not as table as mentioned in describtion and title? If you believe this needs to be added in table space please re-open.

Comment 2 Oved Ourfali 2016-07-29 09:26:47 UTC
It should be enough as long as the content is the same.


Note You need to log in before you can comment on or make changes to this bug.